.\" -*- nroff -*- generated from .Rd format
.BG
.FN as.geodata
.TL
Converts to a geodata object
.DN
Converts a matrix or a data-frame to an object of the class `geodata'.
An object of the class `geodata' is a list with two obligatory
components, `coords' and `data' and an optional components
with covariates.
.CS

as.geodata(obj, coords.col = 1:2, data.col = 3, data.names = NULL, 
           covar.col = NULL, covar.names = "obj.names")

.RA
.AG obj
a matrix or data-frame where each line contains
coordinates, data and (maybe) covariates for each one of the data
locations.  
.AG coords.col
a vector with the column numbers of the
coordinates.  
.AG data.col
a scalar or vector with the column number of the
data.  
.AG data.names
a string or vector of strings with the name(s) of
the covariates. By default uses the names in the original object.
Only used if there is more than one column of data.  
.AG covar.col
optional. A scalar or vector with the column number
of the covariates  
.AG covar.names
a string or vector of strings with the name(s) of
the covariates. By default uses the names in the original object.  
.RT
A list with two obligatory components:
.AG coords
data coordinates
.AG data
data values
.AG covariate
covariates values
.SH REFERENCES
Further information about `geoR/geoS' can be found at:
.br
<URL: http://www.maths.lancs.ac.uk/~ribeiro/geoR.html>
.SA
`read.geodata', `list'
.KW spatial, class, manip
.WR
